# List your bookings and delivery metrics (/docs/api-reference/api/v1/sponsors/bookings/get)

`GET https://mmb-blurware-alpha.vercel.app/api/v1/sponsors/bookings`

List your bookings and delivery metrics

Requires sponsor:read. Account ownership and current admin membership are checked independently of key scopes. All times are UTC epoch milliseconds. List responses are cursor-paginated. Booking creation requires a UUID idempotencyKey; repeating it returns the same reservation. Browser sessions use the same service with same-origin mutation protection.

Operation ID: `sponsorship_bookings_list`

OpenAPI document: https://mmb-blurware-alpha.vercel.app/openapi.json

## Authentication

Required bearer token: `Authorization: Bearer $MMB_API_KEY`.

## Request

### Query parameters

```json
[
  {
    "schema": {
      "type": "string",
      "maxLength": 2000
    },
    "required": false,
    "name": "cursor",
    "in": "query"
  },
  {
    "schema": {
      "type": "integer",
      "minimum": 1,
      "maximum": 50,
      "default": 20
    },
    "required": false,
    "name": "limit",
    "in": "query"
  }
]
```

## Responses

### `200` — Response

**application/json**

```json
{
  "type": "object",
  "properties": {
    "items": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "packageKind": {
            "type": "string",
            "enum": [
              "website",
              "youtube",
              "bundle"
            ]
          },
          "packageDescription": {
            "type": "string"
          },
          "youtubeStatus": {
            "type": "string",
            "enum": [
              "planned",
              "published"
            ]
          },
          "youtubeUrl": {
            "type": "string"
          },
          "youtubeNotes": {
            "type": "string"
          },
          "demo": {
            "type": "boolean"
          },
          "id": {
            "type": "string"
          },
          "campaignId": {
            "type": "string"
          },
          "campaignName": {
            "type": "string"
          },
          "slotName": {
            "type": "string"
          },
          "weekStart": {
            "type": "number"
          },
          "weekEnd": {
            "type": "number"
          },
          "amountCents": {
            "type": "number"
          },
          "currency": {
            "type": "string"
          },
          "status": {
            "type": "string",
            "enum": [
              "reserved",
              "checkout",
              "paid",
              "expired",
              "cancelled",
              "refunding",
              "refunded"
            ]
          },
          "mode": {
            "type": "string",
            "enum": [
              "test",
              "live"
            ]
          },
          "createdAt": {
            "type": "number"
          },
          "receiptUrl": {
            "type": "string"
          },
          "refundedCents": {
            "type": "number"
          },
          "paymentIssue": {
            "type": "string"
          },
          "impressions": {
            "type": "number"
          },
          "clicks": {
            "type": "number"
          },
          "sponsorName": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "campaignId",
          "campaignName",
          "slotName",
          "weekStart",
          "weekEnd",
          "amountCents",
          "currency",
          "status",
          "mode",
          "createdAt",
          "impressions",
          "clicks"
        ]
      }
    },
    "cursor": {
      "type": "string",
      "nullable": true
    },
    "hasMore": {
      "type": "boolean"
    }
  },
  "required": [
    "items",
    "cursor",
    "hasMore"
  ]
}
```

### `400` — Response

**application/json**

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "retryAfter": {
      "type": "number"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```

### `401` — Response

**application/json**

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "retryAfter": {
      "type": "number"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```

### `403` — Response

**application/json**

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "retryAfter": {
      "type": "number"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```

### `404` — Response

**application/json**

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "retryAfter": {
      "type": "number"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```

### `409` — Response

**application/json**

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "retryAfter": {
      "type": "number"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```

### `429` — Response

**application/json**

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "retryAfter": {
      "type": "number"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```

### `503` — Response

**application/json**

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "retryAfter": {
      "type": "number"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```